ObjPtr storedActions[MAXNMENUHELPERS];

void MenuHelper0()
/*Menu helper number 0 for GL menu routines*/
{
    ObjPtr action;
    FuncTyp method;

    action = storedActions[0];
    if (!action) return;
    method = GetMethod(action, ACTIONMETHOD);
    if (!method) return;
    (*method)(action);
}

void MenuHelper1()
/*Menu helper number 1 for GL menu routines*/
{
    ObjPtr action;
    FuncTyp method;

    action = storedActions[1];
    if (!action) return;
    method = GetMethod(action, ACTIONMETHOD);
    if (!method) return;
    (*method)(action);
}

void MenuHelper2()
/*Menu helper number 2 for GL menu routines*/
{
    ObjPtr action;
    FuncTyp method;

    action = storedActions[2];
    if (!action) return;
    method = GetMethod(action, ACTIONMETHOD);
    if (!method) return;
    (*method)(action);
}

typedef void (* HelperTyp)();
HelperTyp menuHelpers[MAXNMENUHELPERS] = 
    {
	MenuHelper0,
	MenuHelper1,
	MenuHelper2
    };

