/*ScianWindowFunctions.h
  Eric Pepke
  10 August 1993

  External stuff for ScianWindowFunctions
*/

/*Window functions*/
#define WF_SHOWPANEL	"Show Control Panel"	/*Show a window's panel*/
#define WF_HIDEPANEL	"Hide Control Panel"	/*Hide a window's panel*/
#define WF_FULLSCREEN	"Full Screen"		/*Make a window go to full screen*/
#define WF_VIDEOSCREEN	"Video Screen"		/*Go to video screen*/
#define WF_DOUBLEVID	"Double Video Screen"	/*Go to 2 * vid screen*/
#define WF_PHSCSCREEN	"PHSCologram Screen"	/*Go to PHSCologram screen*/
#define WF_PREVSCREEN	"Previous Location"	/*Go to previous location*/
#define WF_SHOWFPCONTROLS "Show Front Panel Controls"
#define WF_SHOWBPCONTROLS "Show Back Panel Controls"
#define WF_SHOWSPCONTROLS "Show Space Controls"
#define WF_TILEFULL	"Tile Over Full Screen"	/*Tile vis windows over full screen*/
#define WF_TILEVIDEO	"Tile Over Video Screen"
#define WF_SAVESCREEN	"Save Screen to File"
#define WF_SAVEWINDOW	"Save Window to File"
#define WF_SAVEFWINDOW	"Save Framed Window to File"

#ifdef PROTO
void InitWindowFunctions(void);
void KillWindowFunctions(void);
Bool WindowFunctionScriptLine(char *);
#else
void InitWindowFunctions();
void KillWindowFunctions();
Bool WindowFunctionScriptLine();
#endif
