/*ScianAnimation.h
  External stuff for ScianAnimation.c
  Eric Pepke
  21 May, 1993
*/

/*External vars*/

extern ObjPtr trackClass, subTrackClass;

/*Prototypes*/
#ifdef PROTO
void DoNewSequence(void);
void InitAnimation(void);
void KillAnimation(void);
void RecordObjectVar(ObjPtr, NameTyp);
ObjPtr TrackVarGroupWithinSequence(ObjPtr sequence, ObjPtr object, char *group, ObjPtr);
ObjPtr GetTrackedVarGroupWithinSequence(ObjPtr sequence, ObjPtr object, char *group);
void InsertKeySnapshot(ObjPtr track, int whichFrame, ObjPtr snapshot);
#else
void DoNewSequence();
void InitAnimation();
void KillAnimation();
void RecordObjectVar();
ObjPtr TrackVarGroupWithinSequence();
ObjPtr GetTrackedVarGroupWithinSequence();
void InsertKeySnapshot();
#endif

